Subject: Re: [PATCH] gnu: darktable: update to 3.8.0

From: John Kehayias <[email-masked]>
Date: Sun, 02 Jan 2022 17:21:38 +0000

Hello,

Thanks for the update to darktable. However, I noticed in the release notes that darktable now requires Lua 5.4 (we only have 5.3.5). When I tried my own update locally I could see that Lua support, needed for plugins, was disabled at configure due to the missing Lua 5.4 version.

Release notes: https://www.darktable.org/2021/12/darktable-3.8.0-released/

I think it would be best to have the newer Lua version so we don't lose plugin support. Is there a patch for Lua 5.4 for Guix (my quick search didn't fine one)?

John